Skip to main content
POST
/
v2
/
{entity}
/
{project}
/
calls
/
complete
Calls Complete
curl --request POST \
  --url https://api.example.com/v2/{entity}/{project}/calls/complete \
  --header 'Content-Type: application/json' \
  --data '
{
  "batch": [
    {
      "project_id": "<string>",
      "id": "<string>",
      "trace_id": "<string>",
      "op_name": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "attributes": {},
      "inputs": {},
      "summary": {
        "usage": {},
        "status_counts": {}
      },
      "display_name": "<string>",
      "parent_id": "<string>",
      "thread_id": "<string>",
      "turn_id": "<string>",
      "output": null,
      "otel_dump": {},
      "exception": "<string>",
      "wb_user_id": "<string>",
      "wb_run_id": "<string>",
      "wb_run_step": 123,
      "wb_run_step_end": 123
    }
  ]
}
'
import requests

url = "https://api.example.com/v2/{entity}/{project}/calls/complete"

payload = { "batch": [
{
"project_id": "<string>",
"id": "<string>",
"trace_id": "<string>",
"op_name": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"attributes": {},
"inputs": {},
"summary": {
"usage": {},
"status_counts": {}
},
"display_name": "<string>",
"parent_id": "<string>",
"thread_id": "<string>",
"turn_id": "<string>",
"output": None,
"otel_dump": {},
"exception": "<string>",
"wb_user_id": "<string>",
"wb_run_id": "<string>",
"wb_run_step": 123,
"wb_run_step_end": 123
}
] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
batch: [
{
project_id: '<string>',
id: '<string>',
trace_id: '<string>',
op_name: '<string>',
started_at: '2023-11-07T05:31:56Z',
ended_at: '2023-11-07T05:31:56Z',
attributes: {},
inputs: {},
summary: {usage: {}, status_counts: {}},
display_name: '<string>',
parent_id: '<string>',
thread_id: '<string>',
turn_id: '<string>',
output: null,
otel_dump: {},
exception: '<string>',
wb_user_id: '<string>',
wb_run_id: '<string>',
wb_run_step: 123,
wb_run_step_end: 123
}
]
})
};

fetch('https://api.example.com/v2/{entity}/{project}/calls/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity
string
required
project
string
required

Body

application/json

Request for upserting a batch of completed calls.

batch
CompletedCallSchemaForInsert · object[]
required

Response

Successful Response

Response for upserting a batch of completed calls.